# Generated by CMake 2.8.10.2

IF("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" GREATER 2.4)
  # Information for CMake 2.6 and above.
  SET("ITKAlgorithms_LIB_DEPENDS" "general;ITKNumerics;general;ITKStatistics;")
  SET("ITKBasicFilters_LIB_DEPENDS" "general;ITKCommon;")
  SET("ITKCommon_LIB_DEPENDS" "general;itkvnl_inst;general;itksys;general;-pthread;general;-lm;")
  SET("ITKFEM_LIB_DEPENDS" "general;ITKNumerics;general;ITKCommon;general;ITKBasicFilters;general;ITKIO;general;-lm;")
  SET("ITKIO_LIB_DEPENDS" "general;ITKCommon;general;ITKNrrdIO;general;itkjpeg8;general;itkjpeg12;general;itkjpeg16;general;itkgdcm;general;itkpng;general;itkzlib;general;itktiff;general;ITKSpatialObject;general;ITKMetaIO;general;ITKDICOMParser;general;ITKEXPAT;general;ITKniftiio;")
  SET("ITKMetaIO_LIB_DEPENDS" "general;itkzlib;")
  SET("ITKNrrdIO_LIB_DEPENDS" "general;itkzlib;")
  SET("ITKNumerics_LIB_DEPENDS" "general;ITKCommon;")
  SET("ITKSpatialObject_LIB_DEPENDS" "general;ITKNumerics;general;ITKCommon;general;ITKMetaIO;")
  SET("ITKStatistics_LIB_DEPENDS" "general;ITKCommon;")
  SET("ITKniftiio_LIB_DEPENDS" "general;ITKznz;general;-lm;")
  SET("ITKznz_LIB_DEPENDS" "general;itkzlib;")
  SET("itkgdcm_LIB_DEPENDS" "general;itkjpeg8;general;itkjpeg12;general;itkjpeg16;general;itkopenjpeg;")
  SET("itknetlib_LIB_DEPENDS" "general;m;")
  SET("itkpng_LIB_DEPENDS" "general;itkzlib;general;-lm;")
  SET("itktestlib_LIB_DEPENDS" "general;itkvcl;")
  SET("itktiff_LIB_DEPENDS" "general;itkzlib;general;itkjpeg8;general;-lm;")
  SET("itkvcl_LIB_DEPENDS" "general;m;")
  SET("itkvnl_LIB_DEPENDS" "general;itkvcl;")
  SET("itkvnl_algo_LIB_DEPENDS" "general;itknetlib;general;itkvnl;")
  SET("itkvnl_inst_LIB_DEPENDS" "general;itkvnl;general;itkvnl_algo;general;itknetlib;general;itkvcl;")
ELSE("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" GREATER 2.4)
  # Information for CMake 2.4 and lower.
  SET("ITKAlgorithms_LIB_DEPENDS" "ITKNumerics;ITKStatistics;")
  SET("ITKBasicFilters_LIB_DEPENDS" "ITKCommon;")
  SET("ITKCommon_LIB_DEPENDS" "itkvnl_inst;itksys;-pthread;-lm;")
  SET("ITKFEM_LIB_DEPENDS" "ITKNumerics;ITKCommon;ITKBasicFilters;ITKIO;-lm;")
  SET("ITKIO_LIB_DEPENDS" "ITKCommon;ITKNrrdIO;itkjpeg8;itkjpeg12;itkjpeg16;itkgdcm;itkpng;itkzlib;itktiff;ITKSpatialObject;ITKMetaIO;ITKDICOMParser;ITKEXPAT;ITKniftiio;")
  SET("ITKMetaIO_LIB_DEPENDS" "itkzlib;")
  SET("ITKNrrdIO_LIB_DEPENDS" "itkzlib;")
  SET("ITKNumerics_LIB_DEPENDS" "ITKCommon;")
  SET("ITKSpatialObject_LIB_DEPENDS" "ITKNumerics;ITKCommon;ITKMetaIO;")
  SET("ITKStatistics_LIB_DEPENDS" "ITKCommon;")
  SET("ITKniftiio_LIB_DEPENDS" "ITKznz;-lm;")
  SET("ITKznz_LIB_DEPENDS" "itkzlib;")
  SET("itkgdcm_LIB_DEPENDS" "itkjpeg8;itkjpeg12;itkjpeg16;itkopenjpeg;")
  SET("itknetlib_LIB_DEPENDS" "m;")
  SET("itkpng_LIB_DEPENDS" "itkzlib;-lm;")
  SET("itktestlib_LIB_DEPENDS" "itkvcl;")
  SET("itktiff_LIB_DEPENDS" "itkzlib;itkjpeg8;-lm;")
  SET("itkvcl_LIB_DEPENDS" "m;")
  SET("itkvnl_LIB_DEPENDS" "itkvcl;")
  SET("itkvnl_algo_LIB_DEPENDS" "itknetlib;itkvnl;")
  SET("itkvnl_inst_LIB_DEPENDS" "itkvnl;itkvnl_algo;itknetlib;itkvcl;")
ENDIF("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" GREATER 2.4)
